org.apache.jmeter.report.processor

## Interface ThresholdSelector

-     public interface ThresholdSelector

  The interface ThresholdSelector represents a projection from the samplers with the same name to APDEX threshold information.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApdexThresholdsInfo` | `select(java.lang.String sampleName)` Do a projection from the specified samplers name to APDEX threshold information.

- - ### Method Detail

    - #### select

          ApdexThresholdsInfo select(java.lang.String sampleName)

      Do a projection from the specified samplers name to APDEX threshold information.
      Parameters:
        `sampleName` - the name of samples, or empty string for overall thresholds
      Returns:
        the apdex thresholds information

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.